module Types.Value
  ( Value(..)
  , Valuable(..)
  ) where

import Types.Values

import Language.Haskell.TH.Syntax (Lift)

data Value = String String
           | Bool Bool
           | ImageConversionSettings ImageConversionSettings
           | Template Template
           | Empty
           | Tuple (Value, Value)
           | List [Value]
  deriving (Show, Lift)

class Valuable a where
  toValue :: a -> Value

instance Valuable String where
  toValue = String

instance Valuable ImageConversionSettings where
  toValue = ImageConversionSettings
